CAN_TXBC_Type Union Reference

## Data Fields

struct {
uint32_t TBSA:16
uint32_t NDTB:6
uint32_t __pad0__:2
uint32_t TFQS:6
uint32_t TFQM:1
uint32_t __pad1__:1
} | bit
uint32_t | reg

## Detailed Description

Definition at line 1525 of file can.h.

## Field Documentation

## __pad0__

uint32_t CAN_TXBC_Type::__pad0__

bit: 22..23 Reserved

Definition at line 1529 of file can.h.

## __pad1__

uint32_t CAN_TXBC_Type::__pad1__

bit: 31 Reserved

Definition at line 1532 of file can.h.

## bit

struct { ... } CAN_TXBC_Type::bit

Structure used for bit access

## NDTB

uint32_t CAN_TXBC_Type::NDTB

bit: 16..21 Number of Dedicated Transmit Buffers

Definition at line 1528 of file can.h.

## reg

uint32_t CAN_TXBC_Type::reg

Type used for register access

Definition at line 1534 of file can.h.

## TBSA

uint32_t CAN_TXBC_Type::TBSA

bit: 0..15 Tx Buffers Start Address

Definition at line 1527 of file can.h.

## TFQM

uint32_t CAN_TXBC_Type::TFQM

bit: 30 Tx FIFO/Queue Mode

Definition at line 1531 of file can.h.

## TFQS

uint32_t CAN_TXBC_Type::TFQS

bit: 24..29 Transmit FIFO/Queue Size

Definition at line 1530 of file can.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/can.h